> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List the types for which this event subscription will trigger




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /event_subscriptions/{subscription_id}/sources
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /event_subscriptions/{subscription_id}/sources:
    get:
      tags:
        - EventSources
      summary: List
      description: |
        List the types for which this event subscription will trigger
      operationId: EventSourcesList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: subscription_id
          description: >
            The unique identifier for the Event Subscription that this Event
            Source is attached to.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |
            List the types for which this event subscription will trigger
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventSourceList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    EventSourceList:
      type: object
      properties:
        sources:
          description: |
            The list of all Event Sources for an Event Subscription
          type: array
          items:
            $ref: '#/components/schemas/EventSource'
        uri:
          description: |
            URI of the next page, or null if there is no next page.
          type: string
    EventSource:
      type: object
      properties:
        type:
          description: |
            Type of event for which an event subscription will trigger
          type: string
        uri:
          description: |
            URI of the Event Source API resource.
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````